package com.covas.Entity;

import java.time.LocalDateTime;
import java.util.Collection;

import io.quarkus.mongodb.panache.PanacheMongoEntity;
import io.quarkus.mongodb.panache.common.MongoEntity;

@MongoEntity(collection="group")
public class GroupEntity extends PanacheMongoEntity {

    public String name;

    public Short status;

    public Collection<String> admins;

    public Collection<String> membres;

    public Collection<String> publication;

    public LocalDateTime created_at;
    public LocalDateTime updated_at;
    public LocalDateTime deleted_at;
}
